#pragma once
#include <kubecontrol/KubePod.hpp>

namespace kubecontrol
{
    class PodController
    {
        public: 
            PodController(std::string pathToKubectlConfig);

            std::string getServerAddress();

            void startPod(KubePod Pod);
            void stopPod(std::string Label);
            void stopAllPods();

            std::string getPodsInfo();
            std::string getInfoForPod(std::string Label);

        private:
            std::vector<KubePod> PodList_;

            std::string BearerToken_;
            std::string ServerAddress_;
            std::string ApiCall_;
        
    };
} // namespace ku
